Bug 33762 - Do not run update check during system setup
Do not run update check during system setup
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: System setup
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-0-errata
Assigned To: Erik Damrose
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-17 12:26 CET by Erik Damrose
Modified: 2014-01-13 12:13 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2013-12-17 12:26:48 CET
If a valid internet connection is present while booting into appliance system setup, an update check is performed and, in case an errata is available, a popup notifies the user that is can be installed in the corresponding module.

From the popup the software-update tab can be opened, and updates can be installed. 

I think this is very disruptive for the installation experience, especially for new users who are not yet familiar with UCS.
Comment 1 Erik Damrose univentionstaff 2013-12-17 15:35:52 CET
The fix will is, that the UCRV update/available is set to false with --force. An appliance hook script will deactivate the --force option after the system setup has completed.

After the errata has been published, the ucs appliance wiki page should be updated ( http://wiki.univention.de/index.php?title=UCS_Appliance ): update/available has to be set with --forced:
--- 8< ---
# overwrite old update/available flag (Bug #33762)
ucr set --force update/available=false
--- >8 ---
Fixed in 
r46789+46791 univention-system-setup 7.0.66-9.558.201312171529
yaml 2013-11-27-univention-system-setup.yaml
Comment 2 Felix Botner univentionstaff 2014-01-06 12:02:03 CET
OK - /usr/lib/univention-system-setup/appliance-hooks.d/remove_ucr_force_update_available removes the forced variable update/available 

/var/log/univention/setup.log:
File: /etc/pam.d/ftp
Setting system/setup/showloginmessage
File: /etc/pam.d/sshd
Module: ox-config
Multifile: /etc/pam.d/common-session
Unsetting update/available
Module: ox-config
Setting uuid/system
Module: ox-config
File: /etc/apt/apt.conf.d/55user_agent
Create updater/identify
Module: ox-config
File: /etc/apt/apt.conf.d/55user_agent

YAML: OK
Comment 3 Moritz Muehlenhoff univentionstaff 2014-01-08 10:25:07 CET
http://errata.univention.de/ucs/3.2/18.html
Comment 4 Erik Damrose univentionstaff 2014-01-13 12:13:48 CET
I added the note from comment 1 to the wiki page